AlsaPlayer 0.99.81

Data Fields
_input_object Struct Reference

`#include <input_plugin.h>`

## Data Fields
int | ready
int | flags
int | nr_frames
int | nr_tracks
int | nr_channels
int | frame_size
void * | local_data
char * | path
pthread_mutex_t | object_mutex

## Detailed Description

This is a structure that keeps frequently used parameters of an input instance. It also contains a pointer to any local_data that might be allocated by the plugin itself.

## Field Documentation

## ◆ flags

int _input_object::flags

Stream specific flags that should be set in the open() call. Read the description of the P_* definitions for details.

## ◆ frame_size

int _input_object::frame_size

The frame size in bytes. play_frame() will be called with this value.

## ◆ local_data

void* _input_object::local_data

If your plugin needs extra space for its own variables assign the allocated data structure to this pointer

## ◆ nr_channels

int _input_object::nr_channels

The number of PCM channels in the stream. Should always be 2 at this time.

## ◆ nr_frames

int _input_object::nr_frames

The total number of frames in the stream. Should be set in the open() call.

## ◆ nr_tracks

int _input_object::nr_tracks

The number of tracks, if any, in the stream. Should be set in the open() call.

## ◆ object_mutex

pthread_mutex_t _input_object::object_mutex

The object mutex. Used to lock and unlock the data structures. Initialized and called from the HOST.

## ◆ path

char* _input_object::path

Path of the currently played file

## ◆ ready

int _input_object::ready

Flag that should be set to 1 if your plugin is ready to accept play_frame() callback

The documentation for this struct was generated from the following file:

- input_plugin.h